Bug 199390 - fenc_bladecenter need more Timeout for power off/on -> reboot
fenc_bladecenter need more Timeout for power off/on -> reboot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-19 03:38 EDT by Thomas von Steiger
Modified: 2009-08-31 14:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 14:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas von Steiger 2006-07-19 03:38:41 EDT
Hello,

Description of problem:
If we are testing fencing for rehl4 Cluster Suite on IBM Blade's,
fence_bladecenter with option reboot fails on power on.

Version-Release number of selected component (if applicable):

fence-1.32.25-1

How reproducible:
/sbin/fence_bladecenter -a xx.xx.xx.xx -l username -p passwd -o reboot -n 3

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Power OFF success
Power On Fails

Expected results:
Power OFF success
Power ON success

Additional info:

With this Patch fencing is ok:

*** fence_bladecenter.org	2006-02-15 21:53:58.000000000 +0100
--- fence_bladecenter	2006-07-18 15:19:43.000000000 +0200
*************** sub get_power_state
*** 152,157 ****
--- 152,161 ----
  
  	my $state="";
  
+         # need to sleep a few seconds to make sure that the bladecenter
+         # has time to get the current power state after power off/on
+ 	sleep 5;
+ 
  	$t->print("env -T system:blade[$bladenum]");
  	($text, $match) = $t->waitfor("/system:blade\\[$bladenum\\]>/");
Comment 1 Jim Parsons 2006-08-08 09:24:17 EDT
This is committed to fence head.

Note You need to log in before you can comment on or make changes to this bug.